/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class Croix {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));

  /* Fonction principale                                  */
  
  public static void main(String [] args) throws IOException {
  /* Variables indices de boucles pour                         */
    int i,j;
  /* Variable de stockage du nombre de lignes et de colonnes   */
    int n;
  /* Lecture clavier du nombre de nombres a calculer           */
    System.out.println("Nombre de lignes et de colonnes?");
    n = Integer.valueOf(flux.readLine()).intValue();
  /* Boucle d'affichage des n lignes (i de 1 a n)              */
    for ( i = 1 ; i <= n ; i++ ) {
  /* Boucle d'affichage des n colonnes de chaque lignes        */
  /* (j de 1 a n)                                              */
      for ( j = 1 ; j <= n ; j++ ) {
  /* Deux alternatives pour l'affichage d'un caractere         */
  /* (1) j = i ou j =n+1-i -> affichage de "+"                 */
  /* (2) sinon -> affichage de "-"                             */
  /* Affichage de chaque caractere sans aller a la ligne       */
        if ( ( j == i ) || ( j == n+1-i ) )
          System.out.print("+");
          else
          System.out.print("-"); }
  /* Saut a la ligne a la fin de chaque ligne                  */
      System.out.println(); }
  }
}